/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Interface.java to edit this template
 */
package com.jcg.enumtocustomstring;

import org.mapstruct.InheritInverseConfiguration;
import org.mapstruct.Mapper;
import org.mapstruct.ValueMapping;
import org.mapstruct.factory.Mappers;

/**
 *
 * @author omozegieaziegbe
 */
@Mapper
public interface StatusMapper {

    StatusMapper INSTANCE = Mappers.getMapper(StatusMapper.class);

    // Mapping Enum to Custom String
    @ValueMapping(source = "PENDING", target = "Pending Approval")
    @ValueMapping(source = "ACTIVE", target = "Active Status")
    @ValueMapping(source = "INACTIVE", target = "Inactive Status")
    String toString(Status status);

    // Mapping Custom String to Enum
    @InheritInverseConfiguration(name = "toString")
    public Status toStatus(String customString);
}
