/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.enumtocustomstring;

/**
 *
 * @author omozegieaziegbe
 */
public class EnumToCustomString {

    public static void main(String[] args) {
        
        // Convert Enum to Custom String
        Status status = Status.PENDING;
        String statusString = StatusMapper.INSTANCE.toString(status);
        System.out.println(statusString);

        
        // Convert Custom String to Enum
        String customString = "Pending Approval";
        Status enumStatus = StatusMapper.INSTANCE.toStatus(customString);
        System.out.println(enumStatus); // Output: PENDING
        
//        Status status = Status.ACTIVE;
//        // Singleton instance
//        StatusMapper mapper = StatusMapper.INSTANCE;
//        
//        String statusString = mapper.toString(status);
//        //String statusString = StatusMapper.INSTANCE.toString(status);
//        System.out.println(statusString); // Output: Pending Approval
    }
}
